#!/system/bin/sh -x

if [ -z $1 ]
then
	echo "No MAC address specified"
	exit 1
fi
if [ -z $2 ]
then
	echo "No directory specified"
	exit 1
fi

now=`eval date +%Y%m%d_%H%M%S`

rm $2/*.log $2/*.tgz

echo DUMPSYS
dumpsys   > $2/dumpsys.$now.log

echo DUMPSTATE
dumpstate > $2/dumpstate.$now.log

echo LOGCAT
logcat -d -v time > $2/logcat.$now.log

echo RADIO
logcat -b radio -d -v time > $2/logcat-radio.$now.log

if [ -e /data/sdcard/last_kmsg ]
then
	echo KMSG
	cp /data/sdcard/last_kmsg $2/last_kmsg.$now.log 
fi

echo DB
#cp -p /data/data/com.android.providers.contacts/databases/contacts2.db contacts2.$now.db
cp -p /data/data/com.android.providers.settings/databases/settings.db $2/settings.$now.db

echo AC494 GEN
echo "cd /tmp ; dmesg > dmesg.log ; ps > dumpstate.log ; ls -l /root >> dumpstate.log ; netstat -an >> dumpstate.log ; cp -p /root/glass.cfg* . ; tar zcf ac494-bugreport.tgz messages glass.cfg* AC494.status *.log ; rm dmesg.log dumpstate.log glass.cfg* ; exit 0" | nc 10.55.44.253 7777

echo AC494 RETRIEVE
tftp -r /tmp/ac494-bugreport.tgz -l $2/ac494.$now.tgz -g 10.55.44.253 

# get tcpdump rolling buffer files on AC494 if they exist

tftp -r /tmp/tcpdump.pcap0 -l $2/tcpdump.0.pcap -g 10.55.44.253
tftp -r /tmp/tcpdump.pcap1 -l $2/tcpdump.1.pcap -g 10.55.44.253
tftp -r /tmp/tcpdump.pcap2 -l $2/tcpdump.2.pcap -g 10.55.44.253
tftp -r /tmp/tcpdump.pcap3 -l $2/tcpdump.3.pcap -g 10.55.44.253
tftp -r /tmp/tcpdump.pcap4 -l $2/tcpdump.4.pcap -g 10.55.44.253

echo BUILD TGZ

cd $2
tar zcf $1-$now.cloudbug.tgz *.$now.log *.$now.tgz tcpdump* *.$now.db

echo REMOVE
rm $2/dumpsys.$now.log
rm $2/dumpstate.$now.log
rm $2/logcat.$now.log
rm $2/logcat-radio.$now.log
if [ -e /data/sdcard/last_kmsg ]
then
	rm $2/last_kmsg.$now.log
fi
rm $2/ac494.$now.tgz
rm $2/tcpdump*
rm $2/*.db

echo "rm /tmp/ac494-bugreport.tgz ; exit 0" | nc 10.55.44.253 7777

